varying vec4 pos;
varying vec4 color;

#vertexshader


void main()
{
	pos = gl_Vertex;
	gl_Position = ftransform();
	color = gl_Color;
}

#fragmentshader

void main()
{
	float a = clamp((pos.y+16.0)*0.1, 0, 1);
	gl_FragColor = vec4(color.xyz, a);
}
